<?
/**
 * IPB
 */
                
include ('LiveRatings/VooblyLiveRatings.php');
include ('LiveRatings/VooblyConfig.php');

 /**
  * Read the time for the time-construction of the page
  * @note can be deleted
  */
$initTime = explode (" ", microtime ());
$initTime = $initTime[1] + $initTime[0];

 /**
  * Init vars
  */

$ratingsList = new VooblyLiveRatings ($_GET['sortBy'], $_GET['order']);
$ratingsList->readPlayersFromFile ('LiveRatings/players.txt');

 /**
  * Getting the Rating Info
  */
$ratingsList->getRatings ();  

?>
<link href="LiveRatings/styles.css" rel="stylesheet" type="text/css">
<script type="text/javascript" language="javascript" src="LiveRatings/script.js"></script>
<div align="center">
    <div class="titleblock" align="center">
        <h1 class="title">Voobly Live Ratings</h1>
    </div>

<table width="760" border="0" align="center" cellpadding="2" cellspacing="2" class="table" id="playerstable">
  <thead>
  <tr class="headers">
    <th width="31">#</th>
    <th width="125">Nick</th>
	<th width="125">Rating</th>
    <th width="90">Games</th>
    <th width="71">Wins</th>
    <th width="91">Losses</th>
    <th width="84">Win %</th>
    <th width="72">Streak</th>
    <th width="99">Inc.</th>
  </tr>
  </thead>
  <tbody>
  <?
	for ($i = 0; $i < $ratingsList->playersCount (); $i++):
		($j == 2) ? $j = 1 : $j = 2;
		$player = $ratingsList->getPlayerAt ($i);
  ?>
  <tr class="file<?=$j?>" height="20">
    <td valign="top"><?=($i + 1)?></td>
    <td nowrap="nowrap" class="playeralign"><img src="images/flags/<?=$player->mCountryImageFile?>" title="<?=$player->mCountry?>"/> 
    <? if ($player->parsedData['id'] > 0):?><a href="http://www.voobly.com/profile/view/<?=$player->parsedData['id']?>" target="_blank" class="player"><?=$player->parsedData['nick']?></a><br /><div class="playerdescription"><?=$player->mName?> | <?=$player->mRank?></div>
    <? else:?><?=$player->parsedData['nick']?>
    <? endif;?>
        </td>
    <td><?=$player->parsedData['rating']?></td>
    <td><?=$player->parsedData['games']?></td>
    <td><?=$player->parsedData['wins']?></td>
    <td><?=$player->parsedData['losses']?></td>
    <td><?=$player->parsedData['winper']?>%</td>
    <td><?=$player->parsedData['streak']?></td>
    <td><?=$player->parsedData['inc']?></td>
  </tr>
  <?
    endfor;
	$avgInfo = $ratingsList->getAVGInfo();
  ?>
  </tbody>
  <tfoot>
  <tr class="header">
    <th colspan="2">Average:</th>
    <th><?=$avgInfo['rating']?></th>
    <th><?=$avgInfo['games']?></th>
    <th><?=$avgInfo['wins']?></th>
    <th><?=$avgInfo['losses']?></th>
    <th><?=$avgInfo['winper']?>%</th>
    <th><?=$avgInfo['streak']?></th>
    <th><?=$avgInfo['inc']?></th>
  </tr>
  </tfoot>
</table>
<?
	$endTime = explode(" ", microtime ());
	$totalTime = sprintf ("%.4f", $endTime[1] + $endTime[0] - $initTime);
?>
<div align="center" class="time">Build Time:  <?=$totalTime?> sec. | &copy; <a class="c" href="http://www.pia-clan.com/">Pia Site</a> </div>
</div>